Description

We currently have two major analytical tools:

    -  GRASS

    -  Processing.

The first has a toolbar and a panel, the second a dropdown menu and a panel. The commands in the GRASS toolbar are mostly available

in the Browser and in the panel. I suggest to make the two more uniform, e.g.:

    -  rename the Processing dropdown menu in Analysis (this seems more in line with others: Web, Database, etc.)

    -  add the commands now in the GRASS toolbar under the same menu (separated by a line)

    -  remove the GRASS toolbar - I have plenty of toolbars, getting too difficult to find them.

I think this will result in a more pleasant user experience. Overall, the impact should be minimal, and this should be very easy to

implement.

Also additional plugins could go here.

History

#1 - 2015-10-07 01:29 AM - Radim Blazek

Menu

    -  Adding a new top level menu (including renaming) should be well considered, we ha already too many top level menu items, I would prefer reducing

the number

    -  Mixing of multiple items from multiple plugins in a single menu (even separated by line) is a mess and potential confusion, IMO.

GRASS Toolbar

    -  Some items should have never been added, which was always my attitude, so yes, but don't change that every 10 years :) 

http://sourceforge.net/p/qgis/mailman/message/9711776/ :

4) Add grass toolbar buttons for create / open / close mapset

Do that if you want. I thought that toolbar buttons are used

for frequently used actions and create/open/close mapset is

probably used once during session. Maybe even not if

we store the mapset in project file.

    -  Open, New, Close mapset should be definitely removed and I considered that again for 2.12, but left them in the end, at least for a transition period to

2.14,  seeing users' confusion when add vector / raster items were removed in 2.10 and browser became the only possibility to add layers. Note that

GRASS layers are supported by browser since it was introduced in 2011.

    -  Two items remain, which I am not sure about:

        -  Region - which switches on/off region in canvas, it is a tool similar to other map canvas tools and it can be useful to have it easily accessible

        -  Open Tools - which opens GRASS Tools dock widget, however it is obvious redundancy, because each dock widget can be opened from Settings >

Panels, it could be hard to find for users used to that tool in toolbar. It may be also handy to have this quick access to the panel if it is used in floating mode

(not docked), closed when a module is finished and reopened when another has to be run
    -  Like any other toolbar, it can be switched off by user once forever

#2 - 2015-10-07 01:39 AM - Paolo Cavallini

1. no new menus, just renaming of Processing (which is not very well understood BTW)

2. we already to that e.g. for GDALTools (under Raster) and for most plugins, it seems well accepted by users

3. region switch can go in the panel (easier to find and more compact), near to "Close mapset" 

4. open tools is a functional equivalent to Processing Open toolbox, that's why I think for users it would be good to have them close by, in the same

dropdown menu; in any case, I firmly believe the same system, whichever we choos, should be used for both GRASS and Processing, for the sake of

consistency.

#3 - 2015-10-07 02:41 AM - Stefan Blumentrath

Personally, I do not rely on the buttons in the toolbar, so I have no objections to remove them.

Consistent UI (comparable to Processing) seems an appropriate priority...

Just some ideas for possible solutions:

"Show Region button" might go into the "Region tab" in the grass tools widget (instead of near close mapset)?

Close to the "Close mapset"-button in the tools widget, you might place the "Open mapset"-button from the toolbar?

In a GRASS entry in an "Analysis" Menu, you might place content from the context menu in the browser (GRASS tools settings and so on)?

Also the "Open tools" may go there (even if redundant in Settings > Panels). Users will find it more easily in a Analysis -> GRASS menu, I assume...

#4 - 2015-10-07 04:28 AM - Anita Graser

+1 for a common Analysis menu.

For reference, this is the corresponding mailing list thread: http://lists.osgeo.org/pipermail/qgis-developer/2015-October/039517.html

#5 - 2015-10-07 04:32 AM - Stefan Blumentrath

And these:

https://lists.osgeo.org/pipermail/qgis-user/2015-October/033833.html

https://lists.osgeo.org/pipermail/grass-user/2015-October/073091.html

#6 - 2015-10-07 06:26 AM - Radim Blazek

Paolo Cavallini wrote:

2. we already to that e.g. for GDALTools (under Raster) and for most plugins, it seems well accepted by users

The tools are followed by GdalTools Settings. How user knows that the settings are related to preceding actions? He can deduce that they could, but is it

really an example of a clean UI?

If we put both Processing and GRASS into the same menu, then there will be twice Toolbox and twice Options, we want to call it the same name, right?

Add Processing/GRASS before each? Ugly.

It can be solved with menu sections, in Qt 5.1 http://doc.qt.io/qt-5/qmenu.html#addSection
or it is possible to add a widget: http://stackoverflow.com/questions/22635903/non-interactive-items-in-qmenu

Maybe a traditional menu simply does not suit well for our needs and something like Processing toolbox or GRASS tools tree should be introduced on QGIS

global level?

3. region switch can go in the panel (easier to find and more compact), near to "Close mapset"

Yes, somewhere in GRASS tools.

4. ... I firmly believe the same system, whichever we choos, should be used for both GRASS and Processing, for the sake of consistency.

Sure

#7 - 2015-10-07 06:42 AM - Victor Olaya

Submenus make sense to me

Having all Processing stuff under Analysis/Processing and all GRASS under Analysis/GRASS

#8 - 2015-10-13 01:50 AM - Radim Blazek

Stefan Blumentrath wrote:

Just some ideas for possible solutions:

"Show Region button" might go into the "Region tab" in the grass tools widget (instead of near close mapset)?

It seems too hidden, to me, if the tab is not active.

Close to the "Close mapset"-button in the tools widget, you might place the "Open mapset"-button from the toolbar?

There is the problem with space, "Close mapset" already occupies too much space. Creating a toolbar outside tab widget is again wasting space. Difficult.

In a GRASS entry in an "Analysis" Menu, you might place content from the context menu in the browser (GRASS tools settings and so on)?

"GRASS Options" are already there (currently in Plugins > GRASS, which would move to Analysis, if decided), I am not sure however if I added that action

before/after your comment. Other actions like new point/line/polygon layer I would prefer to keep only in the browser.

Also the "Open tools" may go there (even if redundant in Settings > Panels). Users will find it more easily in a Analysis -> GRASS menu, I assume...

"Open GRASS tools", like "GRASS Options" would just move from Plugins > GRASS.

#9 - 2015-10-13 01:59 AM - Radim Blazek

If we put it into Analysis > Processing, Analysis > GRASS and probably add more plugin sub menus  in Analysis, is it a big gain over putting them to
Plugins menu?

#10 - 2015-10-13 02:03 AM - Paolo Cavallini

Yes. Plugin menu is, during normal professional use, quite crowded, and it would be difficult to find. Furthermore, the proposal seems in line with the rest

of the layout (Database, Web, Analysis, etc.).

#11 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#12 - 2018-03-06 06:22 PM - Paolo Cavallini

- Description updated

Still true in QGIS 3.
